/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2008, 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GAMELAUNCHER_H_
#define _GAMELAUNCHER_H_

#include "./newtEngine/glUtil.h"
#include "./newtEngine/textUtil.h"
#include "./newtEngine/entity.h"
#include "../variousEntities/sphere.h"

enum newtGame {NP_NONE = 0, NP_TIC_TAC_TOE = 1, NP_SCORE_FOUR = 2, NP_KEPLER_BUBBLE = 3};


class GameLauncher : public EntityWithPosition
{
public:
	GameLauncher(newtGame game, Mesh* launcherMesh, GraphicOptions *graphics);
	~GameLauncher();
	
	std::string getName();
		

private:
	std::string mNameGame;
		
};

#endif // _GAMELAUNCHER_H_
